1

Тема: [SAMBA] Є проблема.. вона щось від мене хоче..

Доброго дня :) Хто знає, в чому проблема? Коли за допомогою smbtree сканую, то замість доступної шари на компах бачу це:

NTLMSSP packet check failed due to short signature (0 bytes)!
NTLMSSP NTLM2 packet check failed due to invalid signature!

А при спробі зайти питає логін та пароль навіть там де його немає.. я так розумію SAMBA не сприймає без парольний вхід.. хто знає чому?

2

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

Причиною є оновлення Samba 4.4.2, 4.3.8  та 4.2.11.. це дуже суттєве оновлення безпеки.. дуже дуже.. і до нього доклав руку Microsoft.. питання ще є? В мене одне.. як швидко замочити всіх акціонерів Лайнософта?

Подякували: leofun01, Djalin, ping, Torbins4

3

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

Ну за таке питання Вами можуть зацікавитися усіляки спецслужби :)

А так то, дійсно - Лайнософт. Інколи навіть користуюся віртуальною віндою через усілякі подібні заморочки.

4

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

Master_Sergius написав:

Ну за таке питання Вами можуть зацікавитися усіляки спецслужби :)

А так то, дійсно - Лайнософт. Інколи навіть користуюся віртуальною віндою через усілякі подібні заморочки.

Реально, що тепер робити? Нове оновлення невідомо коли буде.. а на трьох компах вже провтикав та встановив оновлення.. downgrade не робиться через те що в дзеркалах репів fedora немає попередніх версій якогось хріна.. хоча раніше пам'ятаю були всі версії.. тож тепер питання як виправити.. в мережі за тиждень лиш скарг побільшало.. а рішень ні..

5

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

E: Sub-process /usr/bin/dpkg returned an error code (1)
dpkg: ошибка при обработке пакета samba-common-bin (--configure):
проблемы зависимостей — оставляем не настроенным
При обработке следующих пакетов произошли ошибки:
samba-common
samba-common-bin

Що ж ото робити, ніби й пакет то не зовсім то й потрібний... та при будь якому оновленні еррорить  8)

6

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

мучтесь дальше з лінуксом, є варіант
1. скористатись pkgsrc

така проблема в мене зустрічається, але вона в моєму випадку вирішувана.
1. відкотити порт на потрібний номер ревізії

$ svn -r NNNNNNN /usr/ports/net/samba

і зібрати пакунок
2. використати власний зібраний пакунок, як власний репозиторій.
3. використати pbi формат.

7 Востаннє редагувалося HetmanNet (16.07.2016 12:07:44)

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

reverse2500 написав:

мучтесь дальше з лінуксом, є варіант
1. скористатись pkgsrc

така проблема в мене зустрічається, але вона в моєму випадку вирішувана.
1. відкотити порт на потрібний номер ревізії

$ svn -r NNNNNNN /usr/ports/net/samba

і зібрати пакунок
2. використати власний зібраний пакунок, як власний репозиторій.
3. використати pbi формат.

FreeBSD на десктопі чи на ноуті? Ви реально чи приколюєтеся? Бо такого навіть ворогові не побажаю робити.

8

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

FreeBSD на десктопі чи на ноуті?

на ПК, да є і ще NetBSD на ПК,

Ви реально чи приколюєтеся? Бо такого навіть ворогові не побажаю робити.

сидіти і думати як повернути пакет на стару версію ? В мене з цим проблем немає, а тут лінукс, який готовий вже 10 років для десктопу, ще має такі проблеми, тим більше, я описав, що в мене є декілька варіантів, а не один. Далі холівар не бачу продовжувати. Вирішуйте проблему.

9 Востаннє редагувалося HetmanNet (16.07.2016 18:07:12)

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

reverse2500 написав:

FreeBSD на десктопі чи на ноуті?

на ПК, да є і ще NetBSD на ПК,

Ви реально чи приколюєтеся? Бо такого навіть ворогові не побажаю робити.

сидіти і думати як повернути пакет на стару версію ? В мене з цим проблем немає, а тут лінукс, який готовий вже 10 років для десктопу, ще має такі проблеми, тим більше, я описав, що в мене є декілька варіантів, а не один. Далі холівар не бачу продовжувати. Вирішуйте проблему.

Взагалі причина в репозиторіях.. вони перестали бути тупим складом купи файлів.. ну в redhat проблеми немає, там відкочуєшся через те що там в репозиторіях всі версії пакунків.. але все одно це не надовго і доведеться апгрейдиться бо є залежності через які треба.. пониження версії все одно було би тимчасовим, але схоже сенсу в ньому немає бо ніхто не планує щось змінювати..

Щодо BSD на десктоп ставити то самогубство.. причина проста - драйвера.. не було би проблеми, то вже про це знав би бо маю bsdішника який вже від радості повідомив би всім що цього року зміг..

10 Востаннє редагувалося reverse2500 (16.07.2016 18:15:25)

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

Взагалі причина в репозиторіях..

а вже знайшли отмазку, в мене її немає, обнови ОС і старі програми запустятться, перевіряв, максимум проблеми можуть бути якщо були конкретні зміни, скажімо перехід на clang, але про все попереджають і то якшо ти зробив бінарне оновлення, де проблеми можу стануться, а може і ні, але то інша історія, а думати як вернути попередню версію я не розумію в чому причина. Так проблеми є в *BSD, але не для користувача вони, не думають там люди як повернути стару версію програми, там варіанти є завжди

11 Востаннє редагувалося HetmanNet (16.07.2016 19:53:09)

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

reverse2500 написав:

Взагалі причина в репозиторіях..

а вже знайшли отмазку, в мене її немає, обнови ОС і старі програми запустятться, перевіряв, максимум проблеми можуть бути якщо були конкретні зміни, скажімо перехід на clang, але про все попереджають і то якшо ти зробив бінарне оновлення, де проблеми можу стануться, а може і ні, але то інша історія, а думати як вернути попередню версію я не розумію в чому причина. Так проблеми є в *BSD, але не для користувача вони, не думають там люди як повернути стару версію програми, там варіанти є завжди

Цікаво, як не працюючий wi-fi у ноута на BSD перестає бути проблемою для користувача? Чи тачпад? Відсутній звук? На linux вже навіть китайські дешеві wi-fi зитички в usb заводяться автоматом, хоча раніше драйвера доводилося самим збирати і перезбирати на кожну версію ядра.. тому bsd тут вже не варіант..

Щодо репозиторіїв, то не отмазка.. то проблема, яку можна вирішити лиш грошима, бо халява халявою але є межа.

12

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

як не працюючий wi-fi у ноута на BSD перестає бути проблемою для користувача?

коли я ставив PC-BSD знайомому, все автоматом завелось, я був здивований, а так да, в FreeBSD все робиться ручними налаштуваннями, там так все іде.

Чи тачпад? Відсутній звук?

тут вже в мануалі ясно написано, пишіть в репорт, підтверджую, там факью не тичуть, не просять заткнути пащу і не вживають нецензурні слова, як дехто. Там проблема вирішиться, рано чи пізно.

хоча раніше драйвера доводилося самим збирати і перезбирати на кожну версію ядра

то було мало не в перші часи ядра, вже може 20 років як таке не практикується ні в FreeBSD, linux, netbsd,openbsd, дуже старі дані, зараз достатньо підключити модуль і все, я навіть за часи свого користуванням лінукс такого не застав, в FreeBSD не перебирав ядро, бо треба драйвера підключити чи wi-fi.

wi-fi зитички в usb заводяться автоматом

до першого оновлення системи ? Згадаємо як тут користувач сайту ( не згадаю нік ) обновив свій дебіан улюблений, скільки тем було ...

Подякували: leofun011

13

Re: [SAMBA] Є проблема.. вона щось від мене хоче..

Всі ж пригадують що федора то бета червоної шапки? Є й інші дистри.